FactoryGirl.define do
  
  factory :product_block_unit, class: 'ProductBlock' do
    price_unit 25.50
    size_x 2500
    size_y 45
    size_z 45
    association :product, factory: :product_unit
  end

  factory :product_block_ml, class: 'ProductBlock' do
    price_ml 6.25
    size_x 2500
    size_y 45
    size_z 45
    association :product, factory: :product_ml
  end

  factory :product_block_m2, class: 'ProductBlock' do
    price_m2 20.25
    size_x 1220
    size_y 2440
    size_z 15
    association :product, factory: :product_m2
  end

  factory :product_block_m3, class: 'ProductBlock' do
    price_m3 10.25
    size_x 4500
    size_y 300
    size_z 150
    association :product, factory: :product_m3
  end
end