class AdminController < ApplicationController
  before_action :authenticate_user!
  layout 'admin'

  LOCALE_AVAILABLES = [:es, :ca]

  def set_attributes_languages(object, attributes)
    attributes.each do |attribute|
      AdminController::LOCALE_AVAILABLES.each do |locale|
        I18n.locale = locale
        object[attribute] = params[object.class.name.downcase.to_sym]["#{attribute}_#{locale.to_s}"]
      end
    end

    return object
  end

end
