class Subcategory < ApplicationRecord
  
  # Validations
  validates :name, presence: true
  validates :category_id, presence: true

  # Translations
  translates :name

  # Associations
  belongs_to :category
  has_many :products, :dependent => :destroy
end
