Rails.application.routes.draw do
  
  root :to => "home#index"

  get 'set_language_ca', to: 'set_language#locale_ca'
  get 'set_language_es', to: 'set_language#locale_es'

  devise_for :users

  resources :categories
  resources :subcategories
  resources :products

  namespace :admin do
    root :to => "home#index"
    resources :categories
    resources :subcategories
    resources :products
    resources :product_blocks
    resources :product_images
  end
end
