class CreateCategories < ActiveRecord::Migration[5.0]
  def change
    
    create_table :categories do |t|
      t.string :name_catalan, index: true
      t.string :name_spanish, index: true
      t.timestamps
    end

    create_table :subcategories do |t|
      t.string :name_catalan, index: true
      t.string :name_spanish, index: true
      t.integer :category_id, index: true
      t.timestamps
    end
  end
end
