FactoryGirl.define do
  
  factory :product_unit, class: 'Product' do
    name_catalan 'a'
    name_spanish 'a'
    description_catalan 'a'
    description_spanish 'a'
    association :subcategory, factory: :subcategory
    after(:build) do |product|
      product.type_calculation_id = FactoryGirl.create(:type_calculation_unit).id
    end
  end

  factory :product_ml, class: 'Product' do
    name_catalan 'a'
    name_spanish 'a'
    description_catalan 'a'
    description_spanish 'a'
    association :subcategory, factory: :subcategory
    after(:build) do |product|
      product.type_calculation_id = FactoryGirl.create(:type_calculation_ml).id
    end
  end

  factory :product_m2, class: 'Product' do
    name_catalan 'a'
    name_spanish 'a'
    description_catalan 'a'
    description_spanish 'a'
    association :subcategory, factory: :subcategory
    after(:build) do |product|
      product.type_calculation_id = FactoryGirl.create(:type_calculation_m2).id
    end
  end

  factory :product_m3, class: 'Product' do
    name_catalan 'a'
    name_spanish 'a'
    description_catalan 'a'
    description_spanish 'a'
    association :subcategory, factory: :subcategory
    after(:build) do |product|
      product.type_calculation_id = FactoryGirl.create(:type_calculation_m3).id
    end
  end
end