require 'rails_helper'

RSpec.describe Category, :type => :model do
  
  it 'should create with valid attributes' do
    create(:category)
    expect(Category.count).to eq 1
  end
  
  it 'should not create without all language names' do
    Category.create
    expect(Category.count).to eq 0
  end
end