require "rails_helper"

RSpec.describe TypeCalculationsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/type_calculations").to route_to("type_calculations#index")
    end

    it "routes to #new" do
      expect(:get => "/type_calculations/new").to route_to("type_calculations#new")
    end

    it "routes to #show" do
      expect(:get => "/type_calculations/1").to route_to("type_calculations#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/type_calculations/1/edit").to route_to("type_calculations#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/type_calculations").to route_to("type_calculations#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/type_calculations/1").to route_to("type_calculations#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/type_calculations/1").to route_to("type_calculations#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/type_calculations/1").to route_to("type_calculations#destroy", :id => "1")
    end

  end
end
